一. Android Studio新建

1. 环境情况:

操作系统: win10 20H2

Flutter SDK版本: Flutter 1.22.6 channel stable

IDE: Android Studio 4.1.2

2. 问题介绍:

在Android Studio新建Flutter项目

连接手机后运行报错 Exception in thread "main" java.util.zip.ZipException: error in opening zip file截图如下:

3. 解决方法:

于是网上查找解决方案,大致可以定位是gradle版本问题,于是看了一下本地存储的gradle最新版本是多少(本地查看是不想再次下载,毕竟下载太慢了).

故修改项目中android相关的gradle版本

把红框内修改为gradle-6.5.1-all.zip

然后再次运行

二. 使用VSCode新建

1. 环境情况:

操作系统: win10 20H2

Flutter SDK版本: Flutter 1.22.6 channel stable

IDE: 版本: 1.53.2 (user setup)

2. 问题介绍:

使用VSCode新建Flutter项目,ctrl+shift+p,调出命令行

点击新建项目后会让选择项目本地存放位置,选择后,则需要填写项目名称,填写完毕后点击回车,则新建项目完成.

然后运行程序同样报错

使用上面同样解决方案,修改gradle版本后,再次点击F5运行项目,这时可能会遇到这个报错:

3. 解决方法:

遇到上面的问题后,使用Android Studio打开本Flutter项目,如图操作:

第一步打开图中文件

第二步点击图中2的按钮

点击之后Android Studio会重开一个界面并抽取Flutter项目中的Android部分并下载对应缺失的包及依赖

等待下载完毕后,回到VSCode,点击F5应该就可以正常运行项目了.

文章目录